Async Text to Speech - Uplift AI API Docs
Async TTS with retrieval
Python
import requests
import json
# Step 1: Initiate async TTS
url = "https://api.upliftai.org/v1/synthesis/text-to-speech-async"
payload = json.dumps({
"voiceId": "v_meklc281",
"text": "سلام، یہ پاکستان کی تاریخ کے بارے میں ہے۔",
"outputFormat": "MP3_22050_128"
})
headers = {
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_KEY'
}
response = requests.post(url, headers=headers, data=payload)
result = response.json()
# Step 2: Retrieve audio when ready
media_id = result['mediaId']
token = result['token']
audio_url = f"https://api.upliftai.org/v1/synthesis/stream-audio/{media_id}?token={token}"
# Get the audio
audio_response = requests.get(audio_url)
# Save to file
with open('output.mp3', 'wb') as f:
f.write(audio_response.content)
// Server-side: Initiate TTS
async function initiateTTS() {
const response = await fetch('https://api.upliftai.org/v1/synthesis/text-to-speech-async', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_KEY'
},
body: JSON.stringify({
voiceId: "v_meklc281",
text: "سلام، یہ پاکستان کی تاریخ کے بارے میں ہے۔",
outputFormat: "MP3_22050_128"
})
});
const { mediaId, token } = await response.json();
// Send URL to client or webhook
const audioUrl = `https://api.upliftai.org/v1/synthesis/stream-audio/${mediaId}?token=${token}`;
// Client can now fetch audio directly
return audioUrl;
}
curl --request POST \
--url https://api.upliftai.org/v1/synthesis/text-to-speech-async \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "سلام، آپ اِس وقت اوریٹر کی آواز سن رہے ہیں۔",
"voiceId": "v_meklc281",
"phraseReplacementConfigId": "<string>"
}
'


Response Codes
- 200
- 400
- 429
Sample Responses
{
"mediaId": "media_abc123xyz",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}
{
"message": "Invalid request parameters"
}
{
"message": "Rate limit exceeded, please try again later"
}
Authorizations
Authorization: string, header, required
- API key with format "Bearer sk_api_..."
Request Body
Content-Type: application/json
Required Fields
- text: string, required, Maximum string length:
2500- Example: "سلام، آپ اِس وقت اوریٹر کی آواز سن رہے ہیں۔"
- outputFormat: enum
, required - Available options:
PCM_22050_16,WAV_22050_16,WAV_22050_32,MP3_22050_32,MP3_22050_64,MP3_22050_128,OGG_22050_16,ULAW_8000_8
- Available options:
- voiceId: string
- Example: "v_meklc281"
- phraseReplacementConfigId: string, optional
Sample Response
{
"mediaId": "media_abc123xyz",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}